## eole-podman 2.9.0-7

=== debian/changelog ===
eole-podman (2.9.0-7) eole-2.9-unstable; urgency=low

  [ Benjamin Bohard ]
  * [abdd29d] Créer le répertoire pour le fichier de variable.

  [ EOLE Build Daemon ]
  * [7100259] Benjamin Bohard: Update package since “debian/2.9.0-6”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 12 Oct 2022 11:48:17 +0200

eole-podman (2.9.0-6) eole-2.9-unstable; urgency=low

  [ Benjamin Bohard ]
  * [4b25df1] Le fichier ne doit pas être templatisé au reconfigure.
  * [a7eb0df] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [7901ace] Benjamin Bohard: Update package since “debian/2.9.0-5”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 11 Oct 2022 15:45:46 +0200

eole-podman (2.9.0-5) eole-2.9-unstable; urgency=low

  [ Benjamin Bohard ]
  * [619f843] Fournir le fichier de variables d’environnement.
  * [272baa3] Merge branch 'scenario/34617'
  * [14f5e47] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [bc86768] Benjamin Bohard: Update package since “debian/2.9.0-4”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 11 Oct 2022 10:49:21 +0200

eole-podman (2.9.0-4) eole-2.9-unstable; urgency=low

  [ Benjamin Bohard ]
  * [95ccfdd] Configurer le proxy si il est utilisé.
  * [ec3eda1] Merge branch 'scenario/34334'
  * [a391393] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [838d8b7] Benjamin Bohard: Update package since “debian/2.9.0-3”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 04 Jul 2022 08:47:27 +0200

eole-podman (2.9.0-3) eole-2.9-unstable; urgency=low

  [ Emmanuel Garette ]
  * [6192bab] autoriser les conteneurs à se connecter sur le maitre (ref #34068)
  * [4450780] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [2b449ed] Emmanuel Garette: Update package since “debian/2.9.0-2”

 -- Emmanuel Garette <egarette@cadoles.com>  Thu, 28 Apr 2022 16:53:57 +0200

eole-podman (2.9.0-2) eole-2.9-unstable; urgency=low

  [ Benjamin Bohard ]
  * [62060a9] Variable d’activation inutile.
  * [8145efa] Merge branch 'master' into dist/eole/2.9.0/master
  * [4a419f5] Compatibilité avec le dépôt de paquets

  [ Daniel Dehennin ]
  * [c0b3f21] fix(debian/source): use native format

  [ EOLE Build Daemon ]
  * [3d1859b] Daniel Dehennin: Update package since “debian/2.9.0-1”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Thu, 07 Apr 2022 16:36:38 +0200

eole-podman (2.9.0-1) eole-2.9-unstable; urgency=low

  * [8243b71] Second commit
  * [27e4116] Merge branch 'master' into dist/eole/2.9.0/master

 -- Benjamin Bohard <bbohard@cadoles.com>  Thu, 07 Apr 2022 15:49:29 +0200

## eole-podman 2.9.0-8

=== Makefile ===
################################
# Makefile pour eole-podman
################################

SOURCE=eole-podman
VERSION=1.0
EOLE_VERSION=2.9
EOLE_RELEASE=2.9.0
PKGAPPS=non
#FLASK_MODULE=<APPLICATION>

################################
# Début de zone à ne pas éditer
################################

include eole.mk
include apps.mk

################################
# Fin de zone à ne pas éditer
################################

# Makefile rules dedicated to application
# if exists
ifneq (, $(strip $(wildcard $(SOURCE).mk)))
include $(SOURCE).mk
endif

=== debian/changelog ===
eole-podman (2.9.0-8) eole-2.9.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [fe7023c] Le protocole doit être renseigné pour la déclaration du proxy.
  * [838ab17] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [b308626] Benjamin Bohard: Update package since “debian/2.9.0-7”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 09 Jan 2023 16:09:22 +0100

=== debian/control ===
Source: eole-podman
Section: admin
Priority: optional
Maintainer: Équipe EOLE <eole@ac-dijon.fr>
Build-Depends: debhelper (>= 13)
Standards-Version: 4.5.0
Homepage: https://eole.orion.education.fr/diff/
Vcs-Git: https://dev-eole.ac-dijon.fr/git/eole-podman
Vcs-Browser: https://dev-eole.ac-dijon.fr/projects/eole-podman/repository

Package: eole-podman
Architecture: all
Depends: eole-server,
         podman,
         golang-github-appc-cni-dev
Description: Intégration de podman sur les modules EOLE
 Configuration et dépendance pour gérer des conteneurs
 sur les modules EOLE.
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

%:
	dh $@

override_dh_builddeb:
	# Make package compatible with older version
	dh_builddeb -- -Zgzip -Srle

.PHONY: override_dh_builddeb

## eole-podman 2.9.0-12

=== debian/changelog ===
eole-podman (2.9.0-12) eole-2.9.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [4c12152] Le proxy doit être renseigné si nécessaire pour la commande skopeo inspect.
  * [829298e] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [78c3254] Benjamin Bohard: Update package since “debian/2.9.0-11”

 -- Benjamin Bohard <bbohard@cadoles.com>  Thu, 29 Jun 2023 16:35:12 +0200

eole-podman (2.9.0-11) eole-2.9.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [09227c8] Ajout des dépendances pour la mise à jour des images de conteneurs.

  [ EOLE Build Daemon ]
  * [ec58f4b] Benjamin Bohard: Update package since “debian/2.9.0-10”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 10 May 2023 11:39:20 +0200

eole-podman (2.9.0-10) eole-2.9.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [6e6489d] Gestion des images de conteneurs
  * [efb9596] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [ed28588] Benjamin Bohard: Update package since “debian/2.9.0-9”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 10 May 2023 11:23:55 +0200

eole-podman (2.9.0-9) eole-2.9.0-proposed-updates; urgency=low

  [ Laurent Gourvénec ]
  * [ef83c6d] Connexion au hub.eole.education par https avec certificat valide
  * [85cf380] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [461b255] Laurent Gourvénec: Update package since “debian/2.9.0-8”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Wed, 26 Apr 2023 15:04:45 +0200

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,8 @@
 Architecture: all
 Depends: eole-server,
          podman,
+	 jq,
+	 skopeo,
          golang-github-appc-cni-dev
 Description: Intégration de podman sur les modules EOLE
  Configuration et dépendance pour gérer des conteneurs

## eole-podman 2.10.0-3

=== Makefile ===
--- 
+++ 
@@ -4,8 +4,8 @@
 
 SOURCE=eole-podman
 VERSION=1.0
-EOLE_VERSION=2.9
-EOLE_RELEASE=2.9.0
+EOLE_VERSION=2.10
+EOLE_RELEASE=2.10.0
 PKGAPPS=non
 #FLASK_MODULE=<APPLICATION>

=== debian/changelog ===
eole-podman (2.10.0-3) eole-2.10-unstable; urgency=low

  [ Laurent Gourvénec ]
  * [6c61c8c] Correction du nom de l'interface réseau du bridge
  * [ab81b3b] Imposer netavark comme backend réseau
  * [744ace5] Merge branch 'master' into dist/eole/2.10.0/master
  * [95bcf62] Ajout de netavark en dépendance à la place de CNI

  [ EOLE Build Daemon ]
  * [9008581] Laurent Gourvénec: Update package since “debian/eole/2.10.0-2”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Mon, 14 Apr 2025 16:49:33 +0200

eole-podman (2.10.0-2) eole-2.10-unstable; urgency=low

  [ Laurent Gourvénec ]
  * [f7aba87] Correction du nom de l'interface réseau du bridge
  * [bf06696] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [602090e] Laurent Gourvénec: Update package since “debian/eole/2.10.0-1”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Mon, 17 Mar 2025 14:28:57 +0100

eole-podman (2.10.0-1) eole-2.10-unstable; urgency=low

  [ Daniel Dehennin ]
  * [982e2f1] Prepare release 2.10.0
  * [95363cc] Merge branch 'master' into dist/eole/2.10.0/master
  * [e575924] Nouvel espace de nommage des tags Debian

  [ Emmanuel Garette ]
  * [c5e5a98] correction du nom de l'interface réseau (ref #36289)
  * [79cfa8a] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [327614e] Emmanuel Garette: Update package since “debian/eole/2.9.0-12”

 -- Emmanuel Garette <egarette@silique.fr>  Tue, 26 Nov 2024 10:38:56 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
          podman,
 	 jq,
 	 skopeo,
-         golang-github-appc-cni-dev
+	 netavark
 Description: Intégration de podman sur les modules EOLE
  Configuration et dépendance pour gérer des conteneurs
  sur les modules EOLE.
